using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
	public interface IServiceStorage
	{
		List<ServiceViewModel> GetFullList();
		List<ServiceViewModel> GetFilteredList(ServiceSearchModel model);
		ServiceViewModel? GetElement(ServiceSearchModel model);
		ServiceViewModel? Insert(ServiceBindingModel model);
		ServiceViewModel? Update(ServiceBindingModel model);
		ServiceViewModel? Delete(ServiceBindingModel model);
	}
}
